<?xml version="1.0"?>
<project
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
	xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<modelVersion>4.0.0</modelVersion>
	

	<groupId>my</groupId>
	<artifactId>oauth-server</artifactId>
	<version>1.0.0</version> 
	<packaging>jar</packaging>

 <properties>
		<java.version>1.8</java.version>
		<maven.compiler.source>1.8</maven.compiler.source>
    	<maven.compiler.target>1.8</maven.compiler.target>
		<spring-cloud.version>2.0.1.RELEASE</spring-cloud.version>
		<spring-boot.version>2.1.1.RELEASE</spring-boot.version>
		<spring-ldap.version>2.3.2.RELEASE</spring-ldap.version>
		<maven.war.plugin>3.2.2</maven.war.plugin>
	</properties>

	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-starter-parent</artifactId>
				<version>${spring-boot.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
		</dependencies>
	</dependencyManagement>
	<dependencies>
		
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-security</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.cloud</groupId>
			<artifactId>spring-cloud-starter-oauth2</artifactId>
			<version>${spring-cloud.version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-tomcat</artifactId>
			<scope>provided</scope>
		</dependency>
		
		
		<dependency>
    <groupId>xerces</groupId>
    <artifactId>xercesImpl</artifactId>
    <version>2.12.0</version>
</dependency>

	




			


    
		</dependencies>


	<build>
		<finalName>oauth-server</finalName>
<!-- 		<plugins> -->
<!-- 			<plugin> -->
<!-- 				<artifactId>maven-war-plugin</artifactId> -->
<!-- 				<version>${maven.war.plugin}</version> -->
<!-- 				<configuration> -->
<!-- 					<failOnMissingWebXml>false</failOnMissingWebXml> -->
<!-- 				</configuration> -->
<!-- 			</plugin> -->
<!-- 		</plugins> -->
	</build>


</project>
